<template>
  <b-card no-body>
    <template #header>
      <font-awesome-icon
        v-if="visible"
        icon="chevron-down"
        @click="visible = false"
      />
      <font-awesome-icon
        v-else
        icon="chevron-right"
        @click="visible = true"
      />
      {{ header }}
    </template>
    <b-collapse v-model="visible">
      <b-card-body>
        <slot />
      </b-card-body>
    </b-collapse>
  </b-card>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    header: {
      type: String,
      default: '',
    },
  },

  data() {
    return {
      visible: false,
    };
  },
});
</script>
